import request from '@/utils/request'

// 查询SpiderListenSymbol列表
export function listSpiderListenSymbol(query) {
  return request({
    url: '/api/v1/spider-listen-symbol',
    method: 'get',
    params: query
  })
}

// 查询SpiderListenSymbol详细
export function getSpiderListenSymbol(id) {
  return request({
    url: '/api/v1/spider-listen-symbol/' + id,
    method: 'get'
  })
}

// 新增SpiderListenSymbol
export function addSpiderListenSymbol(data) {
  return request({
    url: '/api/v1/spider-listen-symbol',
    method: 'post',
    data: data
  })
}

// 修改SpiderListenSymbol
export function updateSpiderListenSymbol(data) {
  return request({
    url: '/api/v1/spider-listen-symbol/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除SpiderListenSymbol
export function delSpiderListenSymbol(data) {
  return request({
    url: '/api/v1/spider-listen-symbol',
    method: 'delete',
    data: data
  })
}

